GTXclient C++ API GTXserver-16.0.2

- Main Page
- Related Pages
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends | List of all members
GTXVariableInfo Class Reference

Class for handling Information on a file. More...

`#include <GTXVariableInfo.hpp>`

## Public Types
enum | VariableType { VAR_TYPE_SELECTION = -3, VAR_TYPE_FLOAT_ALL = -2, VAR_TYPE_ANY = -1, VAR_TYPE_FLOAT, VAR_TYPE_CHAR, VAR_TYPE_XG, VAR_TYPE_YG, VAR_TYPE_ZG, VAR_TYPE_MACRO, VAR_TYPE_INVALID }

## Public Member Functions
| GTXVariableInfo ()
| empty constructor
| GTXVariableInfo (const GTXVariableInfo &in_vinfo)
| copy contructor
VariableType | GetVariableType ()
| Get variable type.
int | GetBitLength ()
int | GetAlphaLength ()
| number of characters (only applicable for alphanumerical variables)
bool | GetImplicitFlag ()
| Check if this variable is Implicit or not.
int | GetIndicesNumber ()
| Get the number of variables (indices) stored in a macro variable.
const char * | GetUnit ()
| Get the Unit string.
const char * | GetUnitSymbol ()
| Get the Additional symbol string (used for length)
bool | GetLengthFlag ()
| Check if this variable is a Length Variable or not.

## Friends
class | GTXClient

## Detailed Description

Class for handling Information on a file.

## Member Enumeration Documentation

enum GTXVariableInfo::VariableType

Define the different types of variables that can be read from or written to the Isatis file system.

Enumerator
VAR_TYPE_SELECTION | Only selection variables (used only for queries)
VAR_TYPE_FLOAT_ALL | Any float variable (used only for queries)
VAR_TYPE_ANY | Any kind of variable (used only for queries)
VAR_TYPE_FLOAT | Number variable
VAR_TYPE_CHAR | String variable
VAR_TYPE_XG | X coordinate variable
VAR_TYPE_YG | Y coordinate variable
VAR_TYPE_ZG | Z coordinate variable
VAR_TYPE_MACRO | Macro variable (macro variables are always numbers
VAR_TYPE_INVALID | Invalid type

## Member Function Documentation

int GTXVariableInfo::GetBitLength | ( |  | ) |
| inline

precision of the variable, can be 1, 2, 4, 8, 16, 32 or 64 bits. A selection variable is also known as a 1 bit float variable

The documentation for this class was generated from the following file:

- include/GTXVariableInfo.hpp